//
// Created by trotfunky on 06/06/19.
//

#ifndef SRC_GAME_H
#define SRC_GAME_H

#include <SFML/Graphics.hpp>
#include <vector>

#include "Level.h"


// Used for convenience
using TextureStore = std::vector<std::unique_ptr<sf::Texture>>;

class Game {
public:
    Game(const std::vector<std::string>& levels, const std::vector<std::string>& textures);

    /// Loads the level of corresponding ID from Game::levelFiles
    void loadLevel(int levelId);

    Level currentLevel;

private:
    /// Store the paths to level files
    const std::vector<std::string> levelFiles;
    /// Store the paths to texture files
    const std::vector<std::string> textureFiles;
    /// Stores pointers to textures for future use
    TextureStore textures;

    void loadTextures();
};


#endif //SRC_GAME_H
